﻿using System;

namespace DataTypesExample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Integer data type example
            int age = 25;
            Console.WriteLine("Age: " + age);

            // Floating-point data type example
            double price = 49.99;
            Console.WriteLine("Price: " + price);

            // Character data type example
            char grade = 'A';
            Console.WriteLine("Grade: " + grade);

            // Boolean data type example
            bool isStudent = true;
            Console.WriteLine("Is Student: " + isStudent);

            // String data type example
            string name = "John";
            Console.WriteLine("Name: " + name);

            // Type casting and conversion example
            int quantity = 5;
            double totalCost = 25.50;

            // Convert int to double and calculate the total cost
            totalCost = quantity * totalCost;
            Console.WriteLine("Total Cost: " + totalCost);

            // Convert double to int and get the integer part
            int intTotalCost = (int)totalCost;
            Console.WriteLine("Integer Total Cost: " + intTotalCost);

            // Input from the user and parsing
            Console.WriteLine("Enter your age:");
            string userInput = Console.ReadLine();
            int userAge;

            if (int.TryParse(userInput, out userAge))
            {
                Console.WriteLine("Your age is: " + userAge);
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid age.");
            }

            // Pausing the program before exit
            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
